# Extended view inheritance

This module was written to make it simple to add custom operators for view inheritance.

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

Change a python dictionary (context for example)

    <field position="attributes">
        <attribute name="context" operation="update">
            {
                "key": "value",
            }
        </attribute>
    </field>

Note that views are subject to evaluation of xmlids anyways, so if you need to refer to some xmlid, say `%(xmlid)s`.

# Known issues / Roadmap

- Support an `eval` attribute for our new node types.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Therp BV

## Contributors

- Holger Brunn <hbrunn@therp.nl>
- Ronald Portier <rportier@therp.nl>
- Sergio Teruel <sergio.teruel@tecnativa.com>
- Iván Todorovich <ivan.todorovich@camptocamp.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/server-tools project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.